<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4"
        xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">

        <display-name>contentserver2</display-name>

        <servlet>
                <description> </description>
                <display-name>ContentServer</display-name>
                <servlet-name>ContentServer</servlet-name>
                <servlet-class>de.unigoettingen.sub.commons.contentlib.servlet.controller.ContentServer</servlet-class>
	</servlet>
<!--
        <servlet>
                <description></description>
                <display-name>GoobiContentServer</display-name>
                <servlet-name>GoobiContentServer</servlet-name>
                <servlet-class>org.goobi.presentation.contentServlet.controller.GoobiContentServer</servlet-class>
        </servlet>
        <servlet-mapping>
                <servlet-name>GoobiContentServer</servlet-name>
                <url-pattern>/gcs</url-pattern>
        </servlet-mapping>
-->
        <servlet-mapping>
                <servlet-name>ContentServer</servlet-name>
                <url-pattern>/cs/*</url-pattern>
        </servlet-mapping>

	<filter>
        	<filter-name>UrlRewriteFilter</filter-name>
        	<filter-class>org.tuckey.web.filters.urlrewrite.UrlRewriteFilter</filter-class>
            <init-param>
                <param-name>logLevel</param-name>
                <param-value>DEBUG</param-value>
            </init-param>
	    <init-param>
                <param-name>confReloadCheckInterval</param-name>
                <param-value>60</param-value>
            </init-param>
      	    <init-param>
                <param-name>confPath</param-name>
                <param-value>/WEB-INF/urlrewrite.xml</param-value>
            </init-param>
        </filter>
	<filter-mapping>
           <filter-name>UrlRewriteFilter</filter-name>
           <url-pattern>/*</url-pattern>
        </filter-mapping>


        <welcome-file-list>
                <welcome-file>index.html</welcome-file>
                <welcome-file>index.htm</welcome-file>
                <welcome-file>index.jsp</welcome-file>
                <welcome-file>default.html</welcome-file>
                <welcome-file>default.htm</welcome-file>
                <welcome-file>default.jsp</welcome-file>
        </welcome-file-list>

</web-app>
